# Endpoints and Functions

<details>

<summary><a href="/pages/kpK6yUci0uzqEwWiJybl">GET v1/platforms</a></summary>

Provides a list of supported blockchains.

</details>

<details>

<summary><a href="/pages/9H9KEahFZ2nyqVoiLf8K">GET v1/{ChainID}/tokens</a></summary>

Provides a list of tokens for exchange on blockchains.

</details>

<details>

<summary><a href="/pages/yDfThLC44vqfo4soqM3z">GET /v1/{chainID}/gasprices</a></summary>

Provides calculated gas price values in GWEI (nAVAX for Avalanche).

</details>

<details>

<summary><a href="/pages/wdtLDoMz4bJS10OFMtpE">GET /v1/{chainID}/price</a></summary>

Returns best exchange offer, no calldata for transaction.

</details>

<details>

<summary><a href="/pages/NumwHvQeZSsC09mDwsyN">GET v1/{chainID}/transaction/allowance</a></summary>

Checks how many user’s tokens the exchange smart contract has access to.

</details>

<details>

<summary><a href="/pages/NI7mGjHc4VNafkMLHwLV">GET v1/{chainID}/transaction/approve</a></summary>

Generates transaction input parameters to provide access to the user's tokens for the exchange smart contract.

</details>

<details>

<summary><a href="/pages/BiGpyguhVxScAi4SUZZv">GET /v1/{chainID}/quote</a></summary>

Returns the best exchange offer and input parameters for the transaction.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yad.finance/~/changes/2RSiZ02fGs3gXznJHipO/api-documentation/endpoints-and-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
